From 8c4c7492a4440b7530bb992c2761008069cbfd6a Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Thu, 19 May 2022 09:48:08 +0200
Subject: [PATCH 27/34] Add missing calls to slurm_msg_set_r_uid()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index bccdfec29a..600f87390c 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -4376,7 +4376,14 @@ int slurm_send_rc_err_msg(slurm_msg_t *msg, int rc, char *err_msg)
 	resp_msg.forward_struct = msg->forward_struct;
 	resp_msg.ret_list = msg->ret_list;
 	resp_msg.orig_addr = msg->orig_addr;
-
+	/* like _resp_msg_setup() */
+	if (!msg->auth_uid_set)
+                slurm_msg_set_r_uid(&resp_msg, SLURM_AUTH_NOBODY);
+        else if ((msg->auth_uid != slurm_get_slurm_user_id()) &&
+                 (msg->auth_uid != slurm_get_slurmd_user_id()))
+                slurm_msg_set_r_uid(&resp_msg, msg->auth_uid);
+        else
+                slurm_msg_set_r_uid(&resp_msg, SLURM_AUTH_UID_ANY);
 	/* send message */
 	return slurm_send_node_msg(msg->conn_fd, &resp_msg);
 }
-- 
2.35.3


